# Gitea Actions

## Installation:

Install Gitea Actions Webscraper dependency by running:

```
pip install gitea_actions_webscraper
```

## Configuration:

Modify `config.py` with the `i_like_gitea` cookie that you can obtain with the `Network` tab (`Ctrl` + `Shift` + `E` with Firefox) when refreshting [the actions webpage](https://gitea.lemnoslife.com/LemnosLife/LemnosLife_Client_chat_majeste/actions).

## Usage:

- `./gitea_actions.py check_compilation -m 'Check compilation' -a` which commits, pushes and waits for action execution and returns if compilation successful or the error otherwise
- `./gitea_actions.py compile -m 'Compile' -a` which additionally downloads the associated binary
- `./gitea_actions.py compile_and_run -m 'Compile and run' -a` which additionally runs the associated binary
